> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Utila integration.

> Create Utila integration to configure the connection with the Utila workspace.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/utila
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/utila:
    put:
      tags:
        - Integrations Config
      summary: Setup Utila integration.
      description: >-
        Create Utila integration to configure the connection with the Utila
        workspace.
      operationId: IntegrationsConfigController_setupUtilaIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UtilaSetupDto'
      responses:
        '202':
          description: Organization Utila integration data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationConfigEntity'
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    UtilaSetupDto:
      type: object
      properties:
        serviceAccount:
          type: string
          description: >-
            The Utila service account identifier. Learn more at [Utila
            Configuration
            Guide](https://docs.buildborderless.com/docs/utila-provider).
          example: sa_1234567890abcdef
        privateRSAKey:
          type: string
          description: >-
            The Utila private RSA key for authentication. Learn more at [Utila
            Configuration
            Guide](https://docs.buildborderless.com/docs/utila-provider).
          example: |-
            -----BEGIN PRIVATE KEY-----
            MIIEvQIBADAN...
        evmGasWallet:
          type: string
          description: >-
            The Utila EVM gas wallets for the organization. Learn more at [Utila
            Configuration
            Guide](https://docs.buildborderless.com/docs/utila-provider).
          example:
            - '0x1234567890abcdef1234567890abcdef12345678'
      required:
        - serviceAccount
        - privateRSAKey
    IntegrationConfigEntity:
      type: object
      properties:
        provider:
          type: string
        integrationNetworkAddresses:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationNetworkAddressEntity'
      required:
        - provider
    IntegrationNetworkAddressEntity:
      type: object
      properties:
        network:
          allOf:
            - $ref: '#/components/schemas/NetworkId'
        address:
          type: string
      required:
        - network
        - address
    NetworkId:
      type: string
      enum:
        - POLYGON
        - ETHEREUM
        - TRON
        - BASE
        - OPTIMISM
        - BITCOIN
        - SOLANA
        - CELO
      description: The network this refund address belongs to.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````